%define pkg    STLport
%define ver    5.1.7
%define pkgid  %(echo %{ver} | cut -d'.' -f-2 | tr -d '.')
%define pkgstr %{pkg}%{pkgid}


Summary:       A C++ Standard Library Implementation
Name:          %{pkgstr}
Version:       %{ver}
Release:       1%{?dist}%{?pext}
License:       distributable
Group:         System Environment/Libraries
Source0:       http://downloads.sourceforge.net/stlport/%{pkg}-%{version}.tar.bz2
URL:           http://stlport.sourceforge.net/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Boris Fomitchev
BuildRequires: make >= 3.80

%description
STLport is a multiplatform C++ Standard Library implementation. It is a free,
open-source product, featuring standard (ISO/IEC 14882) compliance, advanced
techniques and optimizations for maximum efficiency, exception safety and
thread safety, important extensions like hash tables, singly-linked list and
ropes, and a power debug mode for runtime check of iterators and containers
usage.


%package       devel
Summary:       Development tools for %{pkg}
Group:         Development/Libraries
Requires:      %{name} = %{version}-%{release}

%description   devel
The %{name}-devel package contains the static libraries and header files for
developing C++ software using %{pkg}.


%prep
%setup -q -n %{pkg}-%{version}


%build
export OPT="${RPM_OPT_FLAGS}"

pushd build/lib
%{__make} -f gcc.mak %{?_smp_mflags} \
	clobber depend

%{__make} -f gcc.mak %{?_smp_mflags} \
	release-static dbg-static stldbg-static

%{__make} -f gcc.mak %{?_smp_mflags} \
	release-shared dbg-shared stldbg-shared
popd


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_includedir}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_libdir}

pushd build/lib
%{__make} -f gcc.mak \
	install-release-static \
	install-dbg-static     \
	install-stldbg-static

%{__make} -f gcc.mak \
	install-release-shared \
	install-dbg-shared     \
	install-stldbg-shared
popd

%{__cp} -rpd stlport ${RPM_BUILD_ROOT}%{_includedir}
%{__cp} -pd  lib/*   ${RPM_BUILD_ROOT}%{_libdir}

%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?
%{__rm} -f ${RPM_BUILD_ROOT}%{_libdir}/lib*.so.?.?


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc INSTALL README doc/FAQ doc/*.txt
%doc etc/ChangeLog* etc/*.{gif,txt}
%{_libdir}/libstlport*.so.*

%files devel
%defattr(-,root,root)
%{_includedir}/stlport
%{_libdir}/libstlport*.*a
%{_libdir}/libstlport*.so


%changelog
* Fri Jan 02 2009 Peter Pramberger <peterpramb@member.fsf.org> - 5.1.7-1
- Forked from STLport
- New version (5.1.7)
